### Function

# Gimp file_save_thumbnail

#### Declaration [src]

    gboolean
    gimp_file_save_thumbnail (
      GimpImage* image,
      GFile* file
    )

#### Description [src]

Saves a thumbnail for the given image

This procedure saves a thumbnail for the given image according to the Free Desktop Thumbnail Managing Standard. The thumbnail is saved so that it belongs to the given file. This means you have to save the image under this name first, otherwise this procedure will fail. This procedure may become useful if you want to explicitly save a thumbnail with a file.

#### Parameters

`image`

  Type: `GimpImage`

  The image.

  The data is owned by the caller of the function.

`file`

  Type: `GFile`

  The file the thumbnail belongs to.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.